package it.integry.integrywmsnative.gest.prod_fabbisogno_linee_prod.dto;

import java.math.BigDecimal;
import java.util.Date;

public class ProdFabbisognoLineeProdDTO {

    private String codMart;
    private String codJfas;
    private BigDecimal qtaOrd;
    private BigDecimal numCnfOrd;
    private String untMis;
    private BigDecimal qtaColVersata;
    private BigDecimal numCnfVersata;
    private BigDecimal qtaFabbisogno;
    private BigDecimal numCnfFabbisogno;
    private Date dataInizio;
    private Date dataFine;

    public ProdFabbisognoLineeProdDTO() {
    }

    public String getCodMart() {
        return codMart;
    }

    public ProdFabbisognoLineeProdDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public ProdFabbisognoLineeProdDTO setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public ProdFabbisognoLineeProdDTO setQtaOrd(BigDecimal qtaOrd) {
        this.qtaOrd = qtaOrd;
        return this;
    }

    public BigDecimal getNumCnfOrd() {
        return numCnfOrd;
    }

    public ProdFabbisognoLineeProdDTO setNumCnfOrd(BigDecimal numCnfOrd) {
        this.numCnfOrd = numCnfOrd;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public ProdFabbisognoLineeProdDTO setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getQtaColVersata() {
        return qtaColVersata;
    }

    public ProdFabbisognoLineeProdDTO setQtaColVersata(BigDecimal qtaColVersata) {
        this.qtaColVersata = qtaColVersata;
        return this;
    }

    public BigDecimal getNumCnfVersata() {
        return numCnfVersata;
    }

    public ProdFabbisognoLineeProdDTO setNumCnfVersata(BigDecimal numCnfVersata) {
        this.numCnfVersata = numCnfVersata;
        return this;
    }

    public BigDecimal getQtaFabbisogno() {
        return qtaFabbisogno;
    }

    public ProdFabbisognoLineeProdDTO setQtaFabbisogno(BigDecimal qtaFabbisogno) {
        this.qtaFabbisogno = qtaFabbisogno;
        return this;
    }

    public BigDecimal getNumCnfFabbisogno() {
        return numCnfFabbisogno;
    }

    public ProdFabbisognoLineeProdDTO setNumCnfFabbisogno(BigDecimal numCnfFabbisogno) {
        this.numCnfFabbisogno = numCnfFabbisogno;
        return this;
    }

    public Date getDataInizio() {
        return dataInizio;
    }

    public ProdFabbisognoLineeProdDTO setDataInizio(Date dataInizio) {
        this.dataInizio = dataInizio;
        return this;
    }

    public Date getDataFine() {
        return dataFine;
    }

    public ProdFabbisognoLineeProdDTO setDataFine(Date dataFine) {
        this.dataFine = dataFine;
        return this;
    }
}
